Index: /branches/version-2_13-dev/data/class/SC_Product.php
===================================================================
--- /branches/version-2_13-dev/data/class/SC_Product.php	(revision 23024)
+++ /branches/version-2_13-dev/data/class/SC_Product.php	(revision 23124)
@@ -32,21 +32,21 @@
 {
     /** 規格名一覧 */
-    var $arrClassName;
+    public $arrClassName;
     /** 規格分類名一覧 */
-    var $arrClassCatName;
+    public $arrClassCatName;
     /** このプロパティが保持する price01 及び price02 は、税金付与した金額である。 */
-    var $classCategories = array();
-    var $stock_find;
+    public $classCategories = array();
+    public $stock_find;
     /** 規格1クラス名 */
-    var $className1 = '';
+    public $className1 = '';
     /** 規格2クラス名 */
-    var $className2 = '';
+    public $className2 = '';
     /** 規格1が設定されている */
-    var $classCat1_find;
+    public $classCat1_find;
     /** 規格2が設定されている */
-    var $classCat2_find;
-    var $classCats1;
+    public $classCat2_find;
+    public $classCats1;
     /** 検索用並び替え条件配列 */
-    var $arrOrderData;
+    public $arrOrderData;
 
     /**
@@ -55,10 +55,10 @@
      * ただし指定できるテーブルはproduct_idを持っているテーブルであることが必要.
      *
-     * @param string $col 並び替えの基準とするフィールド
-     * @param string $table 並び替えの基準とするフィールドがあるテーブル
-     * @param string $order 並び替えの順序 ASC / DESC
+     * @param  string $col   並び替えの基準とするフィールド
+     * @param  string $table 並び替えの基準とするフィールドがあるテーブル
+     * @param  string $order 並び替えの順序 ASC / DESC
      * @return void
      */
-    function setProductsOrder($col, $table = 'dtb_products', $order = 'ASC')
+    public function setProductsOrder($col, $table = 'dtb_products', $order = 'ASC')
     {
         $this->arrOrderData = array('col' => $col, 'table' => $table, 'order' => $order);
@@ -70,9 +70,9 @@
      * 検索条件は, SC_Query::setWhere() 関数で設定しておく必要があります.
      *
-     * @param SC_Query $objQuery SC_Query インスタンス
-     * @param array $arrVal 検索パラメーターの配列
-     * @return array 商品IDの配列
-     */
-    function findProductIdsOrder(&$objQuery, $arrVal = array())
+     * @param  SC_Query $objQuery SC_Query インスタンス
+     * @param  array    $arrVal   検索パラメーターの配列
+     * @return array    商品IDの配列
+     */
+    public function findProductIdsOrder(&$objQuery, $arrVal = array())
     {
         $table = 'dtb_products AS alldtl';
@@ -105,9 +105,9 @@
      * 検索条件は, SC_Query::setWhere() 関数で設定しておく必要があります.
      *
-     * @param SC_Query $objQuery SC_Query インスタンス
-     * @param array $arrVal 検索パラメーターの配列
-     * @return array 対象商品ID数
-     */
-    function findProductCount(&$objQuery, $arrVal = array())
+     * @param  SC_Query $objQuery SC_Query インスタンス
+     * @param  array    $arrVal   検索パラメーターの配列
+     * @return array    対象商品ID数
+     */
+    public function findProductCount(&$objQuery, $arrVal = array())
     {
         $table = 'dtb_products AS alldtl';
@@ -123,8 +123,8 @@
      * の配列を取得する.
      *
-     * @param SC_Query $objQuery SC_Query インスタンス
-     * @return array 商品一覧の配列
-     */
-    function lists(&$objQuery)
+     * @param  SC_Query $objQuery SC_Query インスタンス
+     * @return array    商品一覧の配列
+     */
+    public function lists(&$objQuery)
     {
         $col = <<< __EOS__
@@ -164,9 +164,9 @@
      * FIXME: 呼び出し元で設定した、SC_Query::setWhere() も有効に扱いたい。
      *
-     * @param SC_Query $objQuery SC_Query インスタンス
-     * @param array $arrProductId 商品ID
-     * @return array 商品一覧の配列 (キー: 商品ID)
-     */
-    function getListByProductIds(&$objQuery, $arrProductId = array())
+     * @param  SC_Query $objQuery     SC_Query インスタンス
+     * @param  array    $arrProductId 商品ID
+     * @return array    商品一覧の配列 (キー: 商品ID)
+     */
+    public function getListByProductIds(&$objQuery, $arrProductId = array())
     {
         if (empty($arrProductId)) {
@@ -202,8 +202,8 @@
      * 商品詳細を取得する.
      *
-     * @param integer $productId 商品ID
-     * @return array 商品詳細情報の配列
-     */
-    function getDetail($productId)
+     * @param  integer $productId 商品ID
+     * @return array   商品詳細情報の配列
+     */
+    public function getDetail($productId)
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -211,5 +211,5 @@
                                     'product_id = ?',
                                     array($productId, $productId));
-        $arrProduct = (array)$arrProduct;
+        $arrProduct = (array) $arrProduct;
 
         // 税込金額を設定する
@@ -222,8 +222,8 @@
      * 商品詳細情報と商品規格を取得する.
      *
-     * @param integer $productClassId 商品規格ID
-     * @return array 商品詳細情報と商品規格の配列
-     */
-    function getDetailAndProductsClass($productClassId)
+     * @param  integer $productClassId 商品規格ID
+     * @return array   商品詳細情報と商品規格の配列
+     */
+    public function getDetailAndProductsClass($productClassId)
     {
         $result = $this->getProductsClass($productClassId);
@@ -239,9 +239,9 @@
      * 設定する.
      *
-     * @param array $arrProductId 商品ID の配列
-     * @param boolean $has_deleted 削除された商品規格も含む場合 true; 初期値 false
+     * @param  array   $arrProductId 商品ID の配列
+     * @param  boolean $has_deleted  削除された商品規格も含む場合 true; 初期値 false
      * @return void
      */
-    function setProductsClassByProductIds($arrProductId, $has_deleted = false)
+    public function setProductsClassByProductIds($arrProductId, $has_deleted = false)
     {
         foreach ($arrProductId as $productId) {
@@ -342,9 +342,9 @@
      * SC_Query インスタンスに設定された検索条件を使用して商品規格を取得する.
      *
-     * @param SC_Query $objQuery SC_Queryインスタンス
-     * @param array $params 検索パラメーターの配列
-     * @return array 商品規格の配列
-     */
-    function getProductsClassByQuery(&$objQuery, $params)
+     * @param  SC_Query $objQuery SC_Queryインスタンス
+     * @param  array    $params   検索パラメーターの配列
+     * @return array    商品規格の配列
+     */
+    public function getProductsClassByQuery(&$objQuery, $params)
     {
         // 末端の規格を取得
@@ -397,8 +397,8 @@
      * 削除された商品規格は取得しない.
      *
-     * @param integer $productClassId 商品規格ID
-     * @return array 商品規格の配列
-     */
-    function getProductsClass($productClassId)
+     * @param  integer $productClassId 商品規格ID
+     * @return array   商品規格の配列
+     */
+    public function getProductsClass($productClassId)
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -406,5 +406,5 @@
         $arrRes = $this->getProductsClassByQuery($objQuery, $productClassId);
 
-        return (array)$arrRes[0];
+        return (array) $arrRes[0];
     }
 
@@ -412,9 +412,9 @@
      * 複数の商品IDに紐づいた, 商品規格を取得する.
      *
-     * @param array $productIds 商品IDの配列
-     * @param boolean $has_deleted 削除された商品規格も含む場合 true; 初期値 false
-     * @return array 商品規格の配列
-     */
-    function getProductsClassByProductIds($productIds = array(), $has_deleted = false)
+     * @param  array   $productIds  商品IDの配列
+     * @param  boolean $has_deleted 削除された商品規格も含む場合 true; 初期値 false
+     * @return array   商品規格の配列
+     */
+    public function getProductsClassByProductIds($productIds = array(), $has_deleted = false)
     {
         if (empty($productIds)) {
@@ -434,9 +434,9 @@
      * 商品IDに紐づいた, 商品規格を全ての組み合わせごとに取得する.
      *
-     * @param array $productId 商品ID
-     * @param boolean $has_deleted 削除された商品規格も含む場合 true; 初期値 false
-     * @return array 全ての組み合わせの商品規格の配列
-     */
-    function getProductsClassFullByProductId($productId, $has_deleted = false)
+     * @param  array   $productId   商品ID
+     * @param  boolean $has_deleted 削除された商品規格も含む場合 true; 初期値 false
+     * @return array   全ての組み合わせの商品規格の配列
+     */
+    public function getProductsClassFullByProductId($productId, $has_deleted = false)
     {
         $arrRet = $this->getProductsClassByProductIds(array($productId), $has_deleted);
@@ -451,5 +451,5 @@
      * @return array 商品IDをキーにした商品ステータスIDの配列
      */
-    function getProductStatus($productIds)
+    public function getProductStatus($productIds)
     {
         if (empty($productIds)) {
@@ -474,8 +474,8 @@
      * TODO 現在は DELETE/INSERT だが, UPDATE を検討する.
      *
-     * @param integer $productId 商品ID
-     * @param array $productStatusIds ON にする商品ステータスIDの配列
-     */
-    function setProductStatus($productId, $productStatusIds)
+     * @param integer $productId        商品ID
+     * @param array   $productStatusIds ON にする商品ステータスIDの配列
+     */
+    public function setProductStatus($productId, $productStatusIds)
     {
         $val['product_id'] = $productId;
@@ -499,9 +499,9 @@
      * getDetailAndProductsClass() の結果から, 販売制限数を取得する.
      *
-     * @param array $p 商品詳細の検索結果の配列
+     * @param  array   $p 商品詳細の検索結果の配列
      * @return integer 商品詳細の結果から求めた販売制限数.
      * @see getDetailAndProductsClass()
      */
-    function getBuyLimit($p)
+    public function getBuyLimit($p)
     {
         $limit = null;
@@ -525,9 +525,9 @@
      * 在庫の減少に成功した場合は true を返す.
      *
-     * @param integer $productClassId 商品規格ID
-     * @param integer $quantity 減少させる在庫数
+     * @param  integer $productClassId 商品規格ID
+     * @param  integer $quantity       減少させる在庫数
      * @return boolean 在庫の減少に成功した場合 true; 失敗した場合 false
      */
-    function reduceStock($productClassId, $quantity)
+    public function reduceStock($productClassId, $quantity)
     {
         if ($quantity == 0) {
@@ -554,8 +554,8 @@
      * この関数は, 主にスマートフォンで使用します.
      *
-     * @param array $arrProducts 商品情報の配列
+     * @param  array $arrProducts 商品情報の配列
      * @return array 旧バージョン互換用のデータ
      */
-    static function setPriceTaxTo(&$arrProducts)
+    public static function setPriceTaxTo(&$arrProducts)
     {
         foreach ($arrProducts as &$arrProduct) {
@@ -589,8 +589,8 @@
      * 商品情報の配列に税込金額を設定する
      *
-     * @param array $arrProducts 商品情報の配列
+     * @param  array $arrProducts 商品情報の配列
      * @return void
      */
-    static function setIncTaxToProducts(&$arrProducts)
+    public static function setIncTaxToProducts(&$arrProducts)
     {
         foreach ($arrProducts as &$arrProduct) {
@@ -602,8 +602,8 @@
      * 商品情報の配列に税込金額を設定する
      *
-     * @param array $arrProducts 商品情報の配列
+     * @param  array $arrProducts 商品情報の配列
      * @return void
      */
-    static function setIncTaxToProduct(&$arrProduct)
+    public static function setIncTaxToProduct(&$arrProduct)
     {
         $arrProduct['price01_min_inctax'] = isset($arrProduct['price01_min']) ? SC_Helper_TaxRule_Ex::sfCalcIncTax($arrProduct['price01_min'], $arrProduct['product_id']) : null;
@@ -616,8 +616,8 @@
      * 商品詳細の SQL を取得する.
      *
-     * @param string $where_products_class 商品規格情報の WHERE 句
+     * @param  string $where_products_class 商品規格情報の WHERE 句
      * @return string 商品詳細の SQL
      */
-    function alldtlSQL($where_products_class = '')
+    public function alldtlSQL($where_products_class = '')
     {
         if (!SC_Utils_Ex::isBlank($where_products_class)) {
@@ -724,8 +724,8 @@
      * MEMO: 2.4系 vw_product_classに相当(?)するイメージ
      *
-     * @param string $where 商品詳細の WHERE 句
+     * @param  string $where 商品詳細の WHERE 句
      * @return string 商品規格詳細の SQL
      */
-    function prdclsSQL($where = '')
+    public function prdclsSQL($where = '')
     {
         $where_clause = '';
@@ -770,5 +770,6 @@
     }
 
-    function getProductDispConditions($tablename = null) {
+    public function getProductDispConditions($tablename = null)
+    {
         $tablename = ($tablename) ? $tablename . '.' : null;
 
Index: /branches/version-2_13-dev/data/class/SC_Session.php
===================================================================
--- /branches/version-2_13-dev/data/class/SC_Session.php	(revision 22856)
+++ /branches/version-2_13-dev/data/class/SC_Session.php	(revision 23124)
@@ -26,23 +26,23 @@
 {
     /** ログインユーザ名 */
-    var $login_id;
+    public $login_id;
 
     /** ユーザ権限 */
-    var $authority;
+    public $authority;
 
     /** 認証文字列(認証成功の判定に使用) */
-    var $cert;
+    public $cert;
 
     /** セッションID */
-    var $sid;
+    public $sid;
 
     /** ログインユーザの主キー */
-    var $member_id;
+    public $member_id;
 
     /** ページ遷移の正当性チェックに使用 */
-    var $uniqid;
+    public $uniqid;
 
     /* コンストラクタ */
-    function __construct()
+    public function __construct()
     {
         // セッション情報の保存
@@ -66,5 +66,5 @@
     }
     /* 認証成功の判定 */
-    function IsSuccess()
+    public function IsSuccess()
     {
         if ($this->cert == CERT_STRING) {
@@ -78,4 +78,5 @@
                 }
             }
+
             return SUCCESS;
         }
@@ -85,5 +86,5 @@
 
     /* セッションの書き込み */
-    function SetSession($key, $val)
+    public function SetSession($key, $val)
     {
         $_SESSION[$key] = $val;
@@ -91,5 +92,5 @@
 
     /* セッションの読み込み */
-    function GetSession($key)
+    public function GetSession($key)
     {
         return $_SESSION[$key];
@@ -97,5 +98,5 @@
 
     /* セッションIDの取得 */
-    function GetSID()
+    public function GetSID()
     {
         return $this->sid;
@@ -103,5 +104,5 @@
 
     /** ユニークIDの取得 **/
-    function getUniqId()
+    public function getUniqId()
     {
         // ユニークIDがセットされていない場合はセットする。
@@ -114,5 +115,5 @@
 
     /** ユニークIDのセット **/
-    function setUniqId()
+    public function setUniqId()
     {
         // 予測されないようにランダム文字列を付与する。
@@ -121,5 +122,5 @@
 
     // 関連セッションのみ破棄する。
-    function logout()
+    public function logout()
     {
         unset($_SESSION['cert']);
Index: /branches/version-2_13-dev/data/class/SC_AdminView.php
===================================================================
--- /branches/version-2_13-dev/data/class/SC_AdminView.php	(revision 22567)
+++ /branches/version-2_13-dev/data/class/SC_AdminView.php	(revision 23124)
@@ -24,10 +24,10 @@
 class SC_AdminView extends SC_View_Ex
 {
-    function __construct()
+    public function __construct()
     {
         parent::__construct();
     }
 
-    function init()
+    public function init()
     {
         parent::init();
Index: /branches/version-2_13-dev/data/class/SC_FormParam.php
===================================================================
--- /branches/version-2_13-dev/data/class/SC_FormParam.php	(revision 23021)
+++ /branches/version-2_13-dev/data/class/SC_FormParam.php	(revision 23124)
@@ -36,15 +36,15 @@
      * キーはキー名
      */
-    var $arrValue = array();
+    public $arrValue = array();
 
     /** 表示名 */
-    var $disp_name = array();
+    public $disp_name = array();
 
     /** キー名 */
-    var $keyname = array();
-
-    var $length = array();
-    var $convert = array();
-    var $arrCheck = array();
+    public $keyname = array();
+
+    public $length = array();
+    public $convert = array();
+    public $arrCheck = array();
 
     /**
@@ -52,15 +52,15 @@
      * キーはキー名
      */
-    var $arrDefault = array();
+    public $arrDefault = array();
 
     /** DBにそのまま挿入可能か否か */
-    var $input_db = array();
-
-    var $html_disp_name = array();
+    public $input_db = array();
+
+    public $html_disp_name = array();
 
     /**
      * コンストラクタ
      */
-    function __construct()
+    public function __construct()
     {
         $this->check_dir = IMAGE_SAVE_REALDIR;
@@ -83,5 +83,5 @@
      * @deprecated 2.12.0 #1702
      */
-    function initParam()
+    public function initParam()
     {
         $this->disp_name = array();
@@ -95,5 +95,5 @@
 
     // パラメーターの追加
-    function addParam($disp_name, $keyname, $length = '', $convert = '', $arrCheck = array(), $default = '', $input_db = true)
+    public function addParam($disp_name, $keyname, $length = '', $convert = '', $arrCheck = array(), $default = '', $input_db = true)
     {
         $this->disp_name[] = $disp_name;
@@ -110,5 +110,5 @@
     // $arrVal  :$arrVal['keyname']・・の配列を一致したキーのインスタンスに格納する
     // $seq     :trueの場合、$arrVal[0]~の配列を登録順にインスタンスに格納する
-    function setParam($arrVal, $seq = false)
+    public function setParam($arrVal, $seq = false)
     {
         if (!is_array($arrVal)) return;
@@ -125,5 +125,5 @@
 
     // 画面表示用タイトル生成
-    function setHtmlDispNameArray()
+    public function setHtmlDispNameArray()
     {
         foreach ($this->keyname as $index => $key) {
@@ -150,5 +150,5 @@
 
     // 画面表示用タイトル取得
-    function getHtmlDispNameArray()
+    public function getHtmlDispNameArray()
     {
         return $this->html_disp_name;
@@ -156,5 +156,5 @@
 
     // 複数列パラメーターの取得
-    function setParamList($arrVal2d, $keyname)
+    public function setParamList($arrVal2d, $keyname)
     {
         // DBの件数を取得する。
@@ -167,5 +167,5 @@
     }
 
-    function setDBDate($db_date, $year_key = 'year', $month_key = 'month', $day_key = 'day')
+    public function setDBDate($db_date, $year_key = 'year', $month_key = 'month', $day_key = 'day')
     {
         if (empty($db_date)) {
@@ -179,5 +179,5 @@
 
     // キーに対応した値をセットする。
-    function setValue($key, $value)
+    public function setValue($key, $value)
     {
         if (!in_array($key, $this->keyname)) {
@@ -188,5 +188,5 @@
     }
 
-    function toLower($key)
+    public function toLower($key)
     {
         if (isset($this->arrValue[$key])) {
@@ -196,5 +196,5 @@
 
     // エラーチェック
-    function checkError($br = true)
+    public function checkError($br = true)
     {
         $arrErr = array();
@@ -270,15 +270,15 @@
      * TODO 二次元以上のエラーメッセージへの対応
      *
-     * @param string $disp_name 表示名
-     * @param string $func チェック種別
-     * @param mixed $value チェック対象の値. 配列の場合は再帰的にチェックする.
-     * @param array $arrErr エラーメッセージを格納する配列
-     * @param string $error_key エラーメッセージを格納する配列のキー
-     * @param integer $length チェック対象の値の長さ
-     * @param integer $depth 再帰実行した場合の深度
-     * @param integer $error_last_key エラーメッセージを格納する配列の末端のキー
+     * @param  string  $disp_name      表示名
+     * @param  string  $func           チェック種別
+     * @param  mixed   $value          チェック対象の値. 配列の場合は再帰的にチェックする.
+     * @param  array   $arrErr         エラーメッセージを格納する配列
+     * @param  string  $error_key      エラーメッセージを格納する配列のキー
+     * @param  integer $length         チェック対象の値の長さ
+     * @param  integer $depth          再帰実行した場合の深度
+     * @param  integer $error_last_key エラーメッセージを格納する配列の末端のキー
      * @return void
      */
-    function recursionCheck($disp_name, $func, $value, &$arrErr, $error_key,
+    public function recursionCheck($disp_name, $func, $value, &$arrErr, $error_key,
         $length = 0, $depth = 0, $error_last_key = null
     ) {
@@ -314,5 +314,5 @@
      * @see mb_convert_kana
      */
-    function convParam()
+    public function convParam()
     {
         foreach ($this->keyname as $index => $key) {
@@ -326,8 +326,8 @@
      * 再帰的に mb_convert_kana を実行する.
      *
-     * @param mixed $value 変換する値. 配列の場合は再帰的に実行する.
+     * @param mixed  $value   変換する値. 配列の場合は再帰的に実行する.
      * @param string $convert mb_convert_kana の変換オプション
      */
-    function recursionConvParam(&$value, $convert)
+    public function recursionConvParam(&$value, $convert)
     {
         if (is_array($value)) {
@@ -345,8 +345,8 @@
      * 連想配列で返す
      *
-     * @param array $arrKey 対象のキー
+     * @param  array $arrKey 対象のキー
      * @return array 連想配列
      */
-    function getHashArray($arrKey = array())
+    public function getHashArray($arrKey = array())
     {
         $arrRet = array();
@@ -361,5 +361,5 @@
 
     // DB格納用配列の作成
-    function getDbArray()
+    public function getDbArray()
     {
         $dbArray = array();
@@ -376,8 +376,8 @@
      * 配列の縦横を入れ替えて返す
      *
-     * @param array $arrKey 対象のキー
+     * @param  array $arrKey 対象のキー
      * @return array 縦横を入れ替えた配列
      */
-    function getSwapArray($arrKey = array())
+    public function getSwapArray($arrKey = array())
     {
         $arrTmp = $this->getHashArray($arrKey);
@@ -387,5 +387,5 @@
 
     // 項目名一覧の取得
-    function getTitleArray()
+    public function getTitleArray()
     {
         return $this->disp_name;
@@ -393,5 +393,5 @@
 
     // 項目数を返す
-    function getCount()
+    public function getCount()
     {
         $count = count($this->keyname);
@@ -401,5 +401,5 @@
 
     // フォームに渡す用のパラメーターを返す
-    function getFormParamList()
+    public function getFormParamList()
     {
         $formParamList = array();
@@ -423,5 +423,5 @@
      * @return array キー名の一覧
      */
-    function getKeyList()
+    public function getKeyList()
     {
         return $this->keyname;
@@ -429,5 +429,5 @@
 
     // キー名と一致した値を返す
-    function getValue($keyname, $default = '')
+    public function getValue($keyname, $default = '')
     {
         $ret = null;
@@ -457,5 +457,5 @@
      * @deprecated
      */
-    function splitParamCheckBoxes($keyname)
+    public function splitParamCheckBoxes($keyname)
     {
         foreach ($this->keyname as $key) {
@@ -471,8 +471,8 @@
      * 入力パラメーターの先頭及び末尾にある空白文字を削除する.
      *
-     * @param boolean $has_wide_space 全角空白も削除する場合 true
+     * @param  boolean $has_wide_space 全角空白も削除する場合 true
      * @return void
      */
-    function trimParam($has_wide_space = true)
+    public function trimParam($has_wide_space = true)
     {
         foreach ($this->arrValue as &$value) {
@@ -484,9 +484,9 @@
      * 再帰的に入力パラメーターの先頭及び末尾にある空白文字を削除する.
      *
-     * @param mixed $value 変換する値. 配列の場合は再帰的に実行する.
-     * @param boolean $has_wide_space 全角空白も削除する場合 true
+     * @param  mixed   $value          変換する値. 配列の場合は再帰的に実行する.
+     * @param  boolean $has_wide_space 全角空白も削除する場合 true
      * @return void
      */
-    function recursionTrim(&$value, $has_wide_space = true)
+    public function recursionTrim(&$value, $has_wide_space = true)
     {
         $pattern = '/^[ 　\r\n\t]*(.*?)[ 　\r\n\t]*$/u';
@@ -510,8 +510,8 @@
      * 引数で指定した文字列で始まるパラメーター名の入力値を連想配列で取得する.
      *
-     * @param string $prefix パラメーター名の接頭辞
-     * @return array 検索結果引き継ぎ用の連想配列.
-     */
-    function getSearchArray($prefix = 'search_')
+     * @param  string $prefix パラメーター名の接頭辞
+     * @return array  検索結果引き継ぎ用の連想配列.
+     */
+    public function getSearchArray($prefix = 'search_')
     {
         $arrResults = array();
@@ -531,5 +531,5 @@
      * @deprecated 2.12.0 必要ならば getFormParamList メソッドに引数を追加するなどで実現可能
      */
-    function getFormDispArray()
+    public function getFormDispArray()
     {
         $formDispArray = array();
@@ -553,5 +553,5 @@
      * addParamの逆の関数
      */
-    function removeParam($keyname)
+    public function removeParam($keyname)
     {
         $index = array_search($keyname, $this->keyname);
@@ -581,8 +581,8 @@
      *
      * @param string $keyname キー名
-     * @param string $target 上書きしたい項目名(disp_name,length,convert等)
-     * @param mixed $value 指定した内容に上書きする
-     */
-    function overwriteParam($keyname, $target, $value)
+     * @param string $target  上書きしたい項目名(disp_name,length,convert等)
+     * @param mixed  $value   指定した内容に上書きする
+     */
+    public function overwriteParam($keyname, $target, $value)
     {
         $index = array_search($keyname, $this->keyname);
Index: /branches/version-2_13-dev/data/class/SC_UploadFile.php
===================================================================
--- /branches/version-2_13-dev/data/class/SC_UploadFile.php	(revision 22856)
+++ /branches/version-2_13-dev/data/class/SC_UploadFile.php	(revision 23124)
@@ -25,39 +25,39 @@
 class SC_UploadFile
 {
-    var $temp_dir;
-    var $save_dir;
+    public $temp_dir;
+    public $save_dir;
 
     /** ファイルinputタグのname */
-    var $keyname = array();
+    public $keyname = array();
 
     /** 横サイズ */
-    var $width = array();
+    public $width = array();
 
     /** 縦サイズ */
-    var $height = array();
+    public $height = array();
 
     /** 指定する拡張子 */
-    var $arrExt = array();
+    public $arrExt = array();
 
     /** 保存されたファイル名 */
-    var $temp_file = array();
+    public $temp_file = array();
 
     /** DBから読み出したファイル名 */
-    var $save_file = array();
+    public $save_file = array();
 
     /** 項目名 */
-    var $disp_name = array();
+    public $disp_name = array();
 
     /** 制限サイズ */
-    var $size = array();
+    public $size = array();
 
     /** 必須の場合:true */
-    var $necessary = array();
+    public $necessary = array();
 
     /** 画像の場合:true */
-    var $image = array();
+    public $image = array();
 
     // ファイル管理クラス
-    function __construct($temp_dir, $save_dir)
+    public function __construct($temp_dir, $save_dir)
     {
         $this->temp_dir = rtrim($temp_dir, '/') . '/';
@@ -67,5 +67,5 @@
 
     // ファイル情報追加
-    function addFile($disp_name, $keyname, $arrExt, $size, $necessary=false, $width=0, $height=0, $image=true)
+    public function addFile($disp_name, $keyname, $arrExt, $size, $necessary=false, $width=0, $height=0, $image=true)
     {
         $this->disp_name[] = $disp_name;
@@ -79,5 +79,5 @@
     }
     // サムネイル画像の作成
-    function makeThumb($src_file, $width, $height, $dst_file)
+    public function makeThumb($src_file, $width, $height, $dst_file)
     {
         $objThumb = new gdthumb();
@@ -94,5 +94,5 @@
 
     // アップロードされたファイルを保存する。
-    function makeTempFile($keyname, $rename = IMAGE_RENAME)
+    public function makeTempFile($keyname, $rename = IMAGE_RENAME)
     {
         $objErr = new SC_CheckError_Ex();
@@ -143,5 +143,5 @@
 
     // アップロードされたダウンロードファイルを保存する。
-    function makeTempDownFile($keyname='down_file')
+    public function makeTempDownFile($keyname='down_file')
     {
         $objErr = new SC_CheckError_Ex();
@@ -176,5 +176,5 @@
 
     // 画像を削除する。
-    function deleteFile($keyname)
+    public function deleteFile($keyname)
     {
         $objImage = new SC_Image_Ex($this->temp_dir);
@@ -194,5 +194,5 @@
 
     // 画像を削除する。
-    function deleteKikakuFile($keyname)
+    public function deleteKikakuFile($keyname)
     {
         $objImage = new SC_Image_Ex($this->temp_dir);
@@ -212,5 +212,5 @@
 
     // 一時ファイルパスを取得する。
-    function getTempFilePath($keyname)
+    public function getTempFilePath($keyname)
     {
         $cnt = 0;
@@ -229,5 +229,5 @@
 
     // 一時ファイルを保存ディレクトリに移す
-    function moveTempFile()
+    public function moveTempFile()
     {
         $objImage = new SC_Image_Ex($this->temp_dir);
@@ -249,5 +249,5 @@
 
     // ダウンロード一時ファイルを保存ディレクトリに移す
-    function moveTempDownFile()
+    public function moveTempDownFile()
     {
         $objImage = new SC_Image_Ex($this->temp_dir);
@@ -267,5 +267,5 @@
 
     // HIDDEN用のファイル名配列を返す
-    function getHiddenFileList()
+    public function getHiddenFileList()
     {
         $cnt = 0;
@@ -285,5 +285,5 @@
 
     // HIDDENで送られてきたファイル名を取得する
-    function setHiddenFileList($arrPOST)
+    public function setHiddenFileList($arrPOST)
     {
         $cnt = 0;
@@ -301,5 +301,5 @@
     }
 
-    function setHiddenKikakuFileList($arrPOST)
+    public function setHiddenKikakuFileList($arrPOST)
     {
         $cnt = 0;
@@ -318,5 +318,5 @@
 
     // フォームに渡す用のファイル情報配列を返す
-    function getFormFileList($temp_url, $save_url, $real_size = false)
+    public function getFormFileList($temp_url, $save_url, $real_size = false)
     {
         $arrRet = array();
@@ -359,5 +359,5 @@
 
     // フォームに渡す用のダウンロードファイル情報を返す
-    function getFormDownFile()
+    public function getFormDownFile()
     {
         $arrRet = '';
@@ -372,5 +372,5 @@
         return $arrRet;
     }
-    function getFormKikakuDownFile()
+    public function getFormKikakuDownFile()
     {
         $arrRet = array();
@@ -389,5 +389,5 @@
 
     // DB保存用のファイル名配列を返す
-    function getDBFileList()
+    public function getDBFileList()
     {
         $cnt = 0;
@@ -406,5 +406,5 @@
 
     // DBで保存されたファイル名配列をセットする
-    function setDBFileList($arrVal)
+    public function setDBFileList($arrVal)
     {
         $cnt = 0;
@@ -418,5 +418,5 @@
 
     // DBで保存されたダウンロードファイル名をセットする
-    function setDBDownFile($arrVal)
+    public function setDBDownFile($arrVal)
     {
         if (isset($arrVal['down_realfilename']) && $arrVal['down_realfilename'] != '') {
@@ -426,5 +426,5 @@
 
     // DBで保存されたダウンロードファイル名をセットする(setDBDownFileと統合予定)
-    function setPostFileList($arrPost)
+    public function setPostFileList($arrPost)
     {
         for ($cnt = 0;$cnt < count($this->keyname); $cnt++) {
@@ -436,5 +436,5 @@
 
     // 画像をセットする
-    function setDBImageList($arrVal)
+    public function setDBImageList($arrVal)
     {
         $cnt = 0;
@@ -448,5 +448,5 @@
 
     // DB上のファイルの内削除要求があったファイルを削除する。
-    function deleteDBFile($arrVal)
+    public function deleteDBFile($arrVal)
     {
         $objImage = new SC_Image_Ex($this->temp_dir);
@@ -463,5 +463,5 @@
 
     // DB上のダウンロードファイルの内削除要求があったファイルを削除する。
-    function deleteDBDownFile($arrVal)
+    public function deleteDBDownFile($arrVal)
     {
         $objImage = new SC_Image_Ex($this->temp_dir);
@@ -475,5 +475,5 @@
 
     // 必須判定
-    function checkExists($keyname = '')
+    public function checkExists($keyname = '')
     {
         $cnt = 0;
@@ -487,5 +487,5 @@
                     if ($this->save_file[$cnt] == ''
                         &&  $this->temp_file[$cnt] == ''
-                    ) {
+) {
                         $arrRet[$val] = '※ ' . $this->disp_name[$cnt] . 'がアップロードされていません。<br>';
                     }
@@ -499,5 +499,5 @@
 
     // 拡大率を指定して画像保存
-    function saveResizeImage($keyname, $to_w, $to_h)
+    public function saveResizeImage($keyname, $to_w, $to_h)
     {
         $path = '';
@@ -517,9 +517,9 @@
      * 一時保存用のファイル名を生成する
      *
-     * @param string $rename
-     * @param int $keyname
+     * @param  string $rename
+     * @param  int    $keyname
      * @return string
      */
-    function lfGetTmpImageName($rename, $keyname = '', $uploadfile = '')
+    public function lfGetTmpImageName($rename, $keyname = '', $uploadfile = '')
     {
         if ($rename === true) {
Index: /branches/version-2_13-dev/data/class/SC_MobileUserAgent.php
===================================================================
--- /branches/version-2_13-dev/data/class/SC_MobileUserAgent.php	(revision 22960)
+++ /branches/version-2_13-dev/data/class/SC_MobileUserAgent.php	(revision 23124)
@@ -38,5 +38,5 @@
      *                      携帯端末ではない場合は false を返す。
      */
-    function getCarrier()
+    public function getCarrier()
     {
         $objAgent =& Net_UserAgent_Mobile::singleton();
@@ -69,5 +69,5 @@
      * @return string|false 取得したIDを返す。取得できなかった場合は false を返す。
      */
-    function getId()
+    public function getId()
     {
         $objAgent =& Net_UserAgent_Mobile::singleton();
@@ -89,5 +89,5 @@
      * @return string 携帯端末のモデルを表す文字列を返す。
      */
-    function getModel()
+    public function getModel()
     {
         $objAgent =& Net_UserAgent_Mobile::singleton();
@@ -113,5 +113,5 @@
      * @return boolean サポートしている場合は true、それ以外の場合は false を返す。
      */
-    function isSupported()
+    public function isSupported()
     {
         $objAgent =& Net_UserAgent_Mobile::singleton();
@@ -120,4 +120,5 @@
         if (Net_UserAgent_Mobile::isError($objAgent)) {
             GC_Utils_Ex::gfPrintLog($objAgent->toString());
+
             return false;
         }
@@ -126,4 +127,5 @@
             $arrUnsupportedSeries = array('501i', '502i', '209i', '210i');
             $arrUnsupportedModels = array('SH821i', 'N821i', 'P821i ', 'P651ps', 'R691i', 'F671i', 'SH251i', 'SH251iS');
+
             return !in_array($objAgent->getSeries(), $arrUnsupportedSeries) && !in_array($objAgent->getModel(), $arrUnsupportedModels);
         } elseif ($objAgent->isEZweb()) {
@@ -144,5 +146,5 @@
      * @return boolean サポートしている場合は true、それ以外の場合は false を返す。
      */
-    function isMobile()
+    public function isMobile()
     {
         $objAgent =& Net_UserAgent_Mobile::singleton();
